6.0.0-git
2019-05-22

[#14413] Browser notification are shown even for completed tasks
Summary Browser notification are shown even for completed tasks
Queue Nag
Queue Version 4.2.9
Type Bug
State Not Reproducible
Priority 1. Low
Owners
Requester dk (at) doktorkraus (dot) de
Created 2016-06-30 (1056 days ago)
Due
Updated 2016-08-04 (1021 days ago)
Assigned 2016-07-31 (1025 days ago)
Resolved 2016-08-04 (1021 days ago)
Milestone
Patch No

History
2016-08-04 13:59:31 Michael Rubinsky State ⇒ Not Reproducible
 
2016-08-01 16:48:09 Michael Rubinsky Comment #4 Reply to this comment
Are you *sure* you are using Nag 4.2.9?
4.2.10 by now, see screenshot

What could explain differences in reproduceability?
Well, if I knew that I would know the issue :)
Database issues? I'm on a Ubuntu 14.04.4 server with MySQL 5.5.50, 
PHP 5.5.9 (i.e. Ubuntu 14.04.4 fully patched as of today)
Look at the bug report I referenced. You need to figure out why  the 
Alarm is not being removed in that code block like it's supposed. to.
2016-08-01 04:07:11 dk (at) doktorkraus (dot) de Comment #3
New Attachment: shutter_2016-08-01_01.png Download
Reply to this comment
Are you *sure* you are using Nag 4.2.9?
4.2.10 by now, see screenshot

What could explain differences in reproduceability? Database issues? 
I'm on a Ubuntu 14.04.4 server with MySQL 5.5.50, PHP 5.5.9 (i.e. 
Ubuntu 14.04.4 fully patched as of today)
2016-07-31 21:54:45 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Are you *sure* you are using Nag 4.2.9? I can't reproduce this using 
stable release or current development. There was an issue that was 
fixed a while ago though. See Bug: 13350.
2016-06-30 07:15:58 dk (at) doktorkraus (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Browser notification are shown even for completed tasks
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
When a task is marked completed, its browser notifications are still 
shown upon navigating Horde.

To reproduce:

1. Create a new task with due date this morning, 15 min alarm, and 
browser notification.

2. The browser notification will appear after saving the task.

3. Navigate to the task overview and mark the task as completed.

4. Navigate to any other Horde page, and the browser notification 
still appears even though the task is completed.

5. Now, log into horde using a different browser and the browser 
notification will appear as well (NB this other browser has never 
'seen' the task in the uncompleted state, hence the notification must 
have been triggered on a completed task by horde).

Expected behavior:

Browser desktop notifications should only be triggered on pending 
tasks, not on completed tasks.

Tested on:

Firefox 47.0 and Chromium 50.0.2661.102 on Ubuntu 16.04 64-bit as well 
as Firefox 47.0.1 on Windows 7 64-bit.

Saved Queries